package cross_variety

import (
	"eta/eta_task/utils"
	"github.com/beego/beego/v2/client/orm"
	"time"
)

// ChartTagVariety
// @Description: chart_tag_variety 图表标签品种关系表
type ChartTagVariety struct {
	Id                        int       `orm:"column(id);pk"`
	ChartTagId                int       `description:"标签id"`
	ChartVarietyId            int       `description:"品种id"`
	EdbInfoId                 int       `description:"指标id"`
	LastUpdateSysUserId       int       `description:"最后一次操作人"`
	LastUpdateSysUserRealName string    `description:"最后一次操作人真实姓名"`
	ModifyTime                time.Time `description:"修改时间"`
	CreateTime                time.Time `description:"创建时间"`
}

func GetChartTagVarietyEdbInfoIdsByTagIds(chartTagIds []int) (items []*ChartTagVariety, err error) {
	o := orm.NewOrmUsingDB("data")
	sql := `SELECT * FROM chart_tag_variety WHERE chart_tag_id in (` + utils.GetOrmInReplace(len(chartTagIds)) + `)`
	_, err = o.Raw(sql, chartTagIds).QueryRows(&items)
	return
}
